[Commits] Rev 69: Simple scripts to create .deb apt-able repositories for debian and ubuntu in http://bazaar.launchpad.net/~maria-captains/maria/5.1

knielsen at knielsen-hq.org knielsen at knielsen-hq.org
Thu Nov 18 23:02:44 EET 2010


At http://bazaar.launchpad.net/~maria-captains/maria/5.1

------------------------------------------------------------
revno: 69
revision-id: knielsen at knielsen-hq.org-20101118210244-8fsdz7g1ab04t33a
parent: hakan at askmonty.org-20101118005908-ga2l66uuoizbheaw
committer: knielsen at knielsen-hq.org
branch nick: mariadb-tools
timestamp: Thu 2010-11-18 22:02:44 +0100
message:
  Simple scripts to create .deb apt-able repositories for debian and ubuntu
=== added file 'buildbot/mkrepo-debian.sh'
--- a/buildbot/mkrepo-debian.sh	1970-01-01 00:00:00 +0000
+++ b/buildbot/mkrepo-debian.sh	2010-11-18 21:02:44 +0000
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+set -e
+
+REPONAME="$1"
+ARCHDIR="$2"
+
+if [ ! -d "$ARCHDIR" ] ; then
+    echo 1>&2 "Usage: $0 <reponame> <archive directory>"
+    exit 1
+fi
+
+mkdir "$REPONAME"
+cd "$REPONAME"
+mkdir conf
+cat >conf/distributions <<END
+Origin: MariaDB
+Label: MariaDB
+Codename: lenny
+Architectures: amd64 i386 source
+Components: lenny
+Description: MariaDB test Repository
+SignWith: info at askmonty.org
+END
+
+for i in "lenny debian5" ; do
+    set $i
+    reprepro --basedir=. include $1 $ARCHDIR/kvm-deb-$2-amd64/debs/binary/mariadb-*_amd64.changes
+    for i in `find "$ARCHDIR/kvm-deb-$2-x86/" -name '*_i386.deb'` ; do reprepro --basedir=. includedeb $1 $i ; done
+done

=== added file 'buildbot/mkrepo-ubuntu.sh'
--- a/buildbot/mkrepo-ubuntu.sh	1970-01-01 00:00:00 +0000
+++ b/buildbot/mkrepo-ubuntu.sh	2010-11-18 21:02:44 +0000
@@ -0,0 +1,53 @@
+#! /bin/sh
+
+set -e
+
+REPONAME="$1"
+ARCHDIR="$2"
+
+if [ ! -d "$ARCHDIR" ] ; then
+    echo 1>&2 "Usage: $0 <reponame> <archive directory>"
+    exit 1
+fi
+
+mkdir "$REPONAME"
+cd "$REPONAME"
+mkdir conf
+cat >conf/distributions <<END
+Origin: MariaDB
+Label: MariaDB
+Codename: hardy
+Architectures: amd64 i386 source
+Components: hardy
+Description: MariaDB test Repository
+SignWith: info at askmonty.org
+
+Origin: MariaDB
+Label: MariaDB
+Codename: jaunty
+Architectures: amd64 i386 source
+Components: jaunty
+Description: MariaDB test Repository
+SignWith: info at askmonty.org
+
+Origin: MariaDB
+Label: MariaDB
+Codename: karmic
+Architectures: amd64 i386 source
+Components: karmic
+Description: MariaDB test Repository
+SignWith: info at askmonty.org
+
+Origin: MariaDB
+Label: MariaDB
+Codename: lucid
+Architectures: amd64 i386 source
+Components: lucid
+Description: MariaDB test Repository
+SignWith: info at askmonty.org
+END
+
+for x in hardy jaunty karmic lucid ; do
+    reprepro --basedir=. include $x $ARCHDIR/kvm-deb-$x-amd64/debs/binary/mariadb-*_amd64.changes
+    for i in `find "$ARCHDIR/kvm-deb-$x-x86/" -name '*_i386.deb'` ; do reprepro --basedir=. includedeb $x $i ; done
+done



More information about the commits mailing list